Remove no longer needed support for old Ubuntu versions
[chef.git] / cookbooks / fail2ban / recipes / default.rb
index 50b31d1b39e433886a483aadcf740911ad410b6d..b522bb3740d9aa404016a180211e676e33b48e2b 100644 (file)
 
 package "fail2ban"
 
-if node[:lsb][:release].to_f >= 14.04
-  file "/etc/fail2ban/jail.local" do
-    action :delete
-  end
-else
-  directory "/etc/fail2ban/jail.d" do
-    owner "root"
-    group "root"
-    mode 0o755
-  end
-
-  template "/etc/fail2ban/jail.local" do
-    source "jail.local.erb"
-    owner "root"
-    group "root"
-    mode 0o644
-    subscribes :create, "template[/etc/fail2ban/jail.d/00-default.conf]"
-    notifies :reload, "service[fail2ban]"
-  end
-end
-
 template "/etc/fail2ban/jail.d/00-default.conf" do
   source "jail.default.erb"
   owner "root"